Hive SQL in Hive CLI Improper Neutralization of Special Elements used in an SQL Command (‘SQL Injection’) Vulnerability

Summary

Hive SQL in Hive CLI suffers from improper neutralization of special elements used in an sql command (‘SQL Injection’) vulnerability

Credit:

The information has been provided by Rupeng Wang

The original article can be found at:https://lists.apache.org/thread.html/r021baf9d8d4ae41e8c8332c167c4fa96c91b5086563d9be55d2d7acf@%3Ccommits.kylin.apache.org%3E


Details

Kylin concatenates and executes a Hive SQL in Hive CLI or beeline when building a new segment; some part of the HQL is from system configurations, while the configuration can be overwritten by certain rest api, which makes SQL injection attack is possible. Users of all previous versions after 2.0 should upgrade to 3.1.0.

 

Vulnerable Systems:

Hive SQL in Hive CLI

 

CVE Information:

CVE-2020-13926

 

Disclosure Timeline:
Published Date:7/14/2020

Categories: FeaturedNews